import { p as proxyCustomElement, H, h } from './p-BhqVmlhr.js';
import { d as defineCustomElement$6 } from './p-Bu11LCUv.js';
import { d as defineCustomElement$5 } from './p-bvgZEbtQ.js';
import { d as defineCustomElement$4 } from './p-DiC-xcof.js';
import { d as defineCustomElement$3 } from './p-Cv0O724A.js';
import { d as defineCustomElement$2 } from './p-D_yaCZK3.js';

const DgaModalUsage$1 = /*@__PURE__*/ proxyCustomElement(class DgaModalUsage extends H {
    constructor() {
        super();
        this.__registerHost();
        this.show = false;
    }
    render() {
        return (h("div", { key: '27c3ad37ce22a8977b0051796408c7bfdcce65e1', style: { position: "relative" } }, h("h1", { key: '32db0c599a5e0d46aed2673acde802e8b4a8473f' }, "Modal Example"), h("button", { key: 'f1f54b8dbe31f62c4ee4a3c15823a148dc42435d', onClick: () => this.show = true }, "Open Modal"), h("dga-modal", { key: '4e5530b0c709f30aa23c228174996c8a4ffe0cf1', buttonsList: [
                {
                    extraClass: '',
                    label: 'Close',
                    onClick: () => { },
                    title: 'Close Modal'
                }
            ], closeButton: true, modalTitle: "Basic Modal", name: "basicModal", onClose: () => { }, open: this.show }, "This is a simple modal with default configuration."), this.show ? "shown" : "hidden"));
    }
}, [0, "dga-modal-usage", {
        "show": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["dga-modal-usage", "dga-button-v2", "dga-featured-icon", "dga-icon", "dga-icon-v2", "dga-modal"];
    components.forEach(tagName => { switch (tagName) {
        case "dga-modal-usage":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, DgaModalUsage$1);
            }
            break;
        case "dga-button-v2":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "dga-featured-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "dga-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "dga-icon-v2":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "dga-modal":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const DgaModalUsage = DgaModalUsage$1;
const defineCustomElement = defineCustomElement$1;

export { DgaModalUsage, defineCustomElement };
